Skip to main content
GET
/
api
/
v1
/
portfolios
/
{portfolio}
/
position-limits
/
positions
/
{instrument}
Get the open position limits for the portfolio instrument
curl --request GET \
  --url https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/position-limits/positions/{instrument} \
  --header 'CB-ACCESS-KEY: <api-key>' \
  --header 'CB-ACCESS-PASSPHRASE: <api-key>' \
  --header 'CB-ACCESS-SIGN: <api-key>' \
  --header 'CB-ACCESS-TIMESTAMP: <api-key>'
import requests

url = "https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/position-limits/positions/{instrument}"

headers = {
"CB-ACCESS-KEY": "<api-key>",
"CB-ACCESS-PASSPHRASE": "<api-key>",
"CB-ACCESS-SIGN": "<api-key>",
"CB-ACCESS-TIMESTAMP": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
'CB-ACCESS-KEY': '<api-key>',
'CB-ACCESS-PASSPHRASE': '<api-key>',
'CB-ACCESS-SIGN': '<api-key>',
'CB-ACCESS-TIMESTAMP': '<api-key>'
}
};

fetch('https://api.international.coinbase.com/api/v1/portfolios/{portfolio}/position-limits/positions/{instrument}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "symbol": "BTC-PERP",
  "instrument_id": "14thr7ft-1-0",
  "instrument_uuid": "8ca6c040-48df-426b-bb4e-74413909da26",
  "open_position_notional_limit": 250000000
}
const portfoliosService = new PortfoliosService(client);

portfoliosService.getInstrumentPositionLimit({
    portfolio: 'PORTFOLIO_ID_HERE',
    instrument: 'ETH-PERP',
}).then(async (response) => {
    console.log('Instrument Position Limits: ', response);
})
For more information, please visit the INTX TS SDK.

Authorizations

CB-ACCESS-KEY
string
header
required

The Client ID that owns the API Key for the request

CB-ACCESS-PASSPHRASE
string
header
required

The pass phrase affiliated with the API Key

CB-ACCESS-SIGN
string
header
required

A HMAC SHA-256 signature using the API Key secret on the string TIMESTAMP, METHOD, REQUEST_PATH, BODY

CB-ACCESS-TIMESTAMP
string
header
required

The timestamp of when the request is being made

Path Parameters

portfolio
string
required

Identifies the portfolio by UUID (e.g., 892e8c7c-e979-4cad-b61b-55a197932cf1) or portfolio ID (e.g., 5189861793641175)

instrument
string
required

Identifies the instrument by name (e.g., BTC-USDC), UUID (e.g., ce55a827-f04a-45c0-9d9b-8bbdb9b48065), or instrument ID (e.g., 7149252043835013)

Response

Position limits information

symbol
string

Name of the instrument the position is in

Example:

"BTC-PERP"

instrument_id
string

The unique identifier of the instrument the position is in

Example:

"14thr7ft-1-0"

instrument_uuid
string<uuid>

The UUID of the instrument the position is in

Example:

"8ca6c040-48df-426b-bb4e-74413909da26"

open_position_notional_limit
string<number>

The notional limit of the instrument position allowed to be opened

Example:

250000000